Subject: Re: [bitcoin-dev] Bitcoin XT Fork

From: odinn <[email-masked]>
Date: Thu, 20 Aug 2015 20:01:40 -0700

Bitcoin XT isn't technically an implementation of BIP 101.

It's really just an attack on the bitcoin network, not a whole
different than any of a variety of attacks one could perform on the
network.

Facts are as follows.

The published implementation of BIP 101 is shown on the BIP 101 page:

https://github.com/bitcoin/bips/blob/master/bip-0101.mediawiki

at:

https://github.com/bitcoin/bips/blob/master/bip-0101.mediawiki#Implement
ation

The only text in the Implementation section is the following link:

https://github.com/bitcoin/bitcoin/pull/6341

Which is closed by Gavin.

I am wondering why this drama continues, sort of stunned (but not
surprised) by Hearn's XT-hyping, bitcoin-attacking behavior and
crazed, delusional attitude, and hoping that consensus will be reached
on something - by something, I mean one of the following as shown at
http://bipsxdevs.azurewebsites.net/ -
well before XT achieves its goals.

By the way, since http://bipsxdevs.azurewebsites.net/ doesn't yet
appear to have any developers' signatures on it (except for luke-jr),
I'd like to take a moment to ask the developers if you could please
visit that site and put your signatures to it.  (Thanks to luke-jr for
being the first one.)

- - O

On 08/20/2015 02:13 AM, Peter Todd via bitcoin-dev wrote:
> On Thu, Aug 20, 2015 at 11:00:14AM +0200, Mike Hearn via
> bitcoin-dev wrote:
>>> 
>>> It is just that no one else is reckless enough to bypass the
>>> review process
>> 
>> 
>> I keep seeing this notion crop up.
>> 
>> I want to kill this idea right now:
>> 
>> - There were months of public discussion leading to up the
>> authoring of BIP 101, both on this mailing list and elsewhere.
>> 
>> - BIP 101 was submitted for review via the normal process. Jeff
>> Garzik specifically called Gavin out on Twitter and thanked him
>> for following the process:
>> 
>> https://twitter.com/jgarzik/status/614412097359708160
>> 
>> https://github.com/bitcoin/bips/pull/163
>> 
>> As you can see, other than a few minor typo fixes and a comment
>> by sipa, there was no other review offered.
>> 
>> - The implementation for BIP 101 was submitted to Bitcoin Core as
>> a pull request, to invoke the code review process:
>> 
>> https://github.com/bitcoin/bitcoin/pull/6341
>> 
>> Some minor code layout suggestions were made by Cory and
>> incorporated. Peter popped up to say there was no chance it'd
>> ever be accepted ..... and no further review was done.
> 
> No, I said there was no chance it'd be accepted "due to a number
> of BIP-level issues in addition to debate about the patch itself.
> For instance, Gavin has never given any details about testing; at
> minimum we'd need a BIP16 style quality assurance document. We also
> frown on writing software with building expiration dates, let alone
> expiration dates that trigger non-deterministically. (Note how my
> recently merged CLTV considered the year 2038 problem to avoid
> needing a hard fork at that date)"
> 
> Of course no further review was done - issues were identified and
> they didn't get fixed. Why would we do further review on something
> that was broken whose author wasn't interested in fixing even
> non-controversial and obvious problems?
> 
> The process is to do review, fix issues identified, and repeat
> until all issues are fixed.
> 
> 
> 
> _______________________________________________ bitcoin-dev mailing
> list [email-masked] 
> https://lists.linuxfoundation.org/mailman/listinfo/bitcoin-dev
> 

- -- 
http://abis.io ~
"a protocol concept to enable decentralization
and expansion of a giving economy, and a new social good"
https://keybase.io/odinn